%define upstream_name    Test-Memory-Cycle
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check for memory leaks and circular memory references
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Cycle) >= 1.70.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple) >= 0.620.0
BuildRequires: perl(Devel::Cycle) >= 1.03
Requires:   perl-Devel-Cycle >= 1.03
BuildArch:  noarch

%description 
Perl's garbage collection has one big problem: Circular references can't get
cleaned up. A circular reference can be as simple as two objects that refer to
each other. Test::Memory::Cycle is built on top of Devel::Cycle to give you an
easy way to check for these circular references.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-4.mga8
+ Revision: 1497438
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-3.mga7
+ Revision: 1271942
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-2.mga6
+ Revision: 1034327
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.60.0-1.mga6
+ Revision: 1002311
- update to 1.06

* Mon Feb 08 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 944204
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 739037
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 686483
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 515237
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 373601
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 34250
- mageia rebuild
- imported package perl-Test-Memory-Cycle


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 405553
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-5mdv2009.0
+ Revision: 258520
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.04-4mdv2009.0
+ Revision: 246540
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.04-2mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-2mdv2008.0
+ Revision: 86968
- rebuild


* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2007.0
- New version 1.04

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-4mdk
- Fix Requires and BuildRequires

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Requires
	- Source URL

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.02-2mdk
- Fix BuildRequires

* Wed Jun 01 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdk 
- new version 
- rpmbuildupdate aware
- spec cleanup
- make test in %%check

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- 1.00
- make test belongs to build, not install
- requires, buildrequires

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.02-3mdk
- fix buildrequires in a backward compatible way

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.02-2mdk 
- fix directory ownership (distlint)

* Mon Mar 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.02-1mdk
- first mdk release

